[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#657497: nfs-common: Exec permission denied

On Thu, Jan 26, 2012 at 04:33:34PM +0000, Tony Houghton wrote:
> Package: nfs-common
> Version: 1:1.2.5-4
> Severity: normal
> Since this upgrade I can not execute scripts and programs on an NFS
> mount.

I assume you upgraded the client and not the server?
Which was the previous version?  (/var/log/dpkg.log should show this.)

Did you upgrade the kernel at the same time?  If so, what were the
old and new package versions?

> ls -l shows the x bit is still set, but I get permission denied
> when I try to run them, and bash's autocompletion also seems to "know"
> they're not executable because it doesn't expand them when I press Tab.
> I've tried adding 'exec' to fstab options but it didn't help. The same
> thing happens whether I use mount or pmount as a normal user or mount as
> root.

Are all 'x' permission bits set?  Do you also have read permission for
the executables?


Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus

Reply to: